tigase.jaxmpp.core.client.xmpp.modules.auth

## Class SaslModule.SaslAuthStartHandler.SaslAuthStartEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<SaslModule.SaslAuthStartHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.SaslModule.SaslAuthStartHandler.SaslAuthStartEvent

- Enclosing interface:
    SaslModule.SaslAuthStartHandler

      public static class SaslModule.SaslAuthStartHandler.SaslAuthStartEvent
      extends JaxmppEvent<SaslModule.SaslAuthStartHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslAuthStartEvent(SessionObject sessionObject, String mechanismName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(SaslModule.SaslAuthStartHandler handler)` Invokes handlers method.
    `String` | `getMechanismName()`
    `void` | `setMechanismName(String mechanismName)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaslAuthStartEvent

          public SaslAuthStartEvent(SessionObject sessionObject,
                                    String mechanismName)

  - ### Method Detail

    - #### dispatch

          public void dispatch(SaslModule.SaslAuthStartHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<SaslModule.SaslAuthStartHandler>`
      Parameters:
        `handler` - handler

    - #### getMechanismName

          public String getMechanismName()

    - #### setMechanismName

          public void setMechanismName(String mechanismName)

Copyright © 2006–2023 Tigase. All rights reserved.